package de.jottyfan.quickiemod.items;

import net.minecraft.item.Item;

/**
 *
 * @author jotty
 *
 */
public enum QuickieItems {
	// @formatter:off
	ROTTEN_FLESH_STRIPES(new ItemRottenFleshStripes(), "rotten_flesh_stripes"),
	CARROTSTACK(new ItemCarrotstack(), "carrotstack"),
	STUB(new ItemStub(), "stub"),
	SALPETER(new ItemSalpeter(), "salpeter"),
	SULPHOR(new ItemSulphor(), "sulphor"),
	SPEEDPOWDER(new ItemSpeedpowder(), "speedpowder"),
	QUICKIEPOWDER(new ItemQuickiepowder(), "quickiepowder"),
	OXIDIZEDCOPPERPOWDER(new ItemOxidizedcopperpowder(), "oxidizedcopperpowder"),
	SPEEDINGOT(new ItemSpeedingot(), "speedingot"),
	QUICKIEINGOT(new ItemQuickieingot(), "quickieingot");
	// @formatter:on

	private final Item item;
	private final String name;

	private QuickieItems(Item item, String name) {
		this.item = item;
		this.name = name;
	}

	public final Item getItem() {
		return item;
	}

	public final String getName() {
		return name;
	}
}
