package de.jottyfan.quickiemod.blocks;

import net.minecraft.block.Block;

/**
 *
 * @author jotty
 *
 */
public enum QuickieBlocks {
	// @formatter:off
	KELPSTACK(new BlockKelpstack(), "kelpstack"),
	DIRT_SALPETER(new BlockDirtSalpeter(), "dirtsalpeter"),
	ORE_NETHER_SULPHOR(new BlockOreNetherSulphor(), "orenethersulphor"),
	ORE_SALPETER(new BlockOreSalpeter(), "oresalpeter"),
	ORE_SAND_SALPETER(new BlockSandSalpeter(), "oresandsalpeter"),
	ORE_SULPHOR(new BlockOreSulphor(), "oresulphor"),
	ORE_DEEPSLATESULPHOR(new BlockOreDeepslateSulphor(), "oredeepslatesulphor"),
	SAND_SALPETER(new BlockSandSalpeter(), "sandsalpeter"),
	BLOCKSULPHOR(new BlockSulphor(), "blocksulphor"),
	BLOCKSALPETER(new BlockSalpeter(), "blocksalpeter"),
	BLOCKSPEEDPOWDER(new BlockSpeedpowder(), "blockspeedpowder"),
	BLOCKQUICKIEPOWDER(new BlockQuickiepowder(), "blockquickiepowder");
	// @formatter:on

	private final Block block;
	private final String name;

	private QuickieBlocks(Block block, String name) {
		this.block = block;
		this.name = name;
	}

	public final Block getBlock() {
		return block;
	}

	public final String getName() {
		return name;
	}
}
